Subject: Re: cout/cerr in DLL?
From: [email-masked] (Andreas Holzmann)

18 Nov 1998 17:00:23 -0800
Message-ID: <19981118102129.B870.cygnus.gnu-win32@rothaus>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary=+QahgC5+KEYLbs62
To: Mumit Khan <[email-masked]>
Cc: Andreas Holzmann <[email-masked]>,
        [email-masked]

--+QahgC5+KEYLbs62
Content-Type: text/plain; charset=us-ascii

On Tue, Nov 17, 1998 at 04:21:33PM -0600, Mumit Khan wrote:
> "Andreas Holzmann" <[email-masked]> writes:
> > I tried to write a small example to generate 
> > and load a DLL dynamically using the dlopen() 
> > call which works fine using c and c++. But
> > when I use cout/cerr instead of printf() for
> > printing silly messages in the DLL my program
> > crashes? It says "handle_exceptions: 
> > Exception: STATUS_ACCESS_VIOLATION"
> 
> This is fixed in B20. If you're already running B20, and still see this
> problem, it's a bug and you need to post some code.
> 
> BTW, please always post relevant info such as Cygwin Version, compiler
> version, etc when posting a problem report. 

Uh, sorry, it's true, I forgot to write some more information :-(
I'm running B20 (gcc version egcs-2.91.57 19980901 (egcs-1.1 release))

I attached a small example that will not work.

  Andreas

--+QahgC5+KEYLbs62
Content-Type: application/octet-stream
Content-Disposition: attachment; filename="testit.tar.gz"
Content-Transfer-Encoding: base64

--+QahgC5+KEYLbs62--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".